package cd.casic.ci.common.pipeline.pojo.element.trigger;

import cd.casic.ci.common.pipeline.enums.StartType;
import cd.casic.ci.common.pipeline.pojo.element.Element;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.experimental.Accessors;

import java.util.Set;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.element.trigger
 * @Project：ops-pro
 * @name：ManualTriggerElement
 * @Date：2025/03/27 10:04
 * @Filename：ManualTriggerElement
 * @description：Todo
 */
@Accessors(chain = true)
@Schema(title = "手动触发")
public class ManualTriggerElement extends Element {
    public static final String classType = "manualTrigger";

    @Schema(title = "任务名称", required = true)
    private String name = "手动触发";

    @Schema(title = "id", required = false)
    private String id;

    @Schema(title = "状态", required = false)
    private String status;

    @Schema(title = "是否可跳过插件", required = false)
    private Boolean canElementSkip;

    @Schema(title = "是否使用最近一次的参数进行构建", required = false)
    private Boolean useLatestParameters;

    @Override
    public String getClassType() {
        return classType;
    }

    private Set<String> startTypeSet = Set.of(StartType.MANUAL.name(), StartType.SERVICE.name(), StartType.PIPELINE.name());

    @Override
    public String findFirstTaskIdByStartType(StartType startType) {
        return startTypeSet.contains(startType.name()) ? this.id : super.findFirstTaskIdByStartType(startType);
    }
}
