package cd.casic.ci.common.pipeline.pojo.event;

import cd.casic.ci.common.pipeline.pojo.secret.ISecretParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @author by mianbin
 * @Classname ProjectPipelineCallBack
 * @Description TODO
 * @Date 2025/4/2 9:43
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "项目的流水线回调配置")
public class ProjectPipelineCallBack {
    @Schema(title = "流水线id", required = false)
    private Long id;
    @Schema(title = "项目id", required = false)
    private String projectId;
    @Schema(title = "回调url地址", required = false)
    private String callBackUrl;
    @Schema(title = "事件", required = false)
    private String events;
    @Schema(title = "密钥", required = false)
    private String secretToken;
    @Schema(title = "回调是否启用", required = false)
    private Boolean enable = true;
    @Schema(title = "回调是否启用", required = false)
    private LocalDateTime failureTime;
    @Schema(title = "凭证参数", required = false)
    private ISecretParam secretParam;
    @Schema(title = "回调名称", required = false)
    private String name;
}
