package cd.casic.ci.process.api.engine.pojo;

import cd.casic.ci.common.pipeline.enums.BuildStatus;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author by mianbin
 * @Classname PipelineBuildContainer
 * @Description TODO
 * @Date 2025/3/31 16:56
 */
@Data
@AllArgsConstructor
public class PipelineBuildContainer {
    private final String projectId;
    private final String pipelineId;
    private final String buildId;
    private final String stageId;
    private final String containerId; // 与seq id同值
    private final String containerHashId; // 与model中的container.containerHashId同值
    private final String jobId;
    private final Boolean matrixGroupFlag;
    private final String matrixGroupId;
    private final String containerType;
    private final int seq;
    private BuildStatus status;
    private LocalDateTime startTime;
    private LocalDateTime endTime;
    private int cost = 0;
    private int executeCount = 1;
    private PipelineBuildContainerControlOption controlOption;
}
