package cd.casic.ci.process.api.process.pojo.code;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.process.api.process.pojo.code
 * @Project：ops-pro
 * @name：WebhookInfo
 * @Date：2025/03/24 20:16
 * @Filename：WebhookInfo
 * @description：Todo
 */
@Data
@AllArgsConstructor
public class WebhookInfo {
    @Schema(title = "代码库类型", required = true)
    private String codeType; // CodeType.name
    @Schema(title = "代码库完整名称", required = true)
    private String nameWithNamespace;
    @Schema(title = "仓库url链接", required = false)
    private String webhookRepoUrl;
    @Schema(title = "分支名（目标分支）", required = false)
    private String webhookBranch;
    @Schema(title = "别名", required = false)
    private String webhookAliasName;
    @Schema(title = "webhook类型", required = false)
    private String webhookType;
    @Schema(title = "事件类型", required = false)
    private String webhookEventType;
    @Schema(title = "提交信息", required = false)
    private String webhookMessage;
    @Schema(title = "提交信息id", required = false)
    private String webhookCommitId;
    @Schema(title = "参考信息(commit_id,mr_id,tag,issue_id,review_id,note_id等)", required = true)
    private String refId;
    @Schema(title = "合并后commitId", required = false)
    private String webhookMergeCommitSha;
    @Schema(title = "源分支", required = false)
    private String webhookSourceBranch;
    @Schema(title = "mr id", required = false)
    private String mrId;
    @Schema(title = "mr iid", required = false)
    private String mrIid;
    @Schema(title = "mr url", required = false)
    private String mrUrl;
    @Schema(title = "webhook仓库授权用户", required = false)
    private String repoAuthUser;
    @Schema(title = "tag 名称", required = false)
    private String tagName;
    @Schema(title = "issue iid", required = false)
    private String issueIid;
    @Schema(title = "note id", required = false)
    private String noteId;
    @Schema(title = "review id", required = false)
    private String reviewId;
    @Schema(title = "父流水线项目ID", required = false)
    private String parentProjectId;
    @Schema(title = "父流水线流水线ID", required = false)
    private String parentPipelineId;
    @Schema(title = "父流水线名称", required = false)
    private String parentPipelineName;
    @Schema(title = "父流水线buildId", required = false)
    private String parentBuildId;
    @Schema(title = "父流水线构建号", required = false)
    private String parentBuildNum;
    @Schema(title = "触发材料url", required = false)
    private String linkUrl;
    @Schema(title = "自定义触发材料ID", required = false)
    private String materialId;
    @Schema(title = "自定义触发材料名", required = false)
    private String materialName;
}
