package cd.casic.ci.process.api.process.pojo.template;

import cd.casic.ci.common.pipeline.Model;
import cd.casic.ci.common.pipeline.pojo.setting.PipelineSetting;
import cd.casic.ci.common.pipeline.pojo.transfer.TransferMark;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.template
 * @Project：ops-pro
 * @name：TemplatePreviewDetail
 * @Date：2025/03/24 19:31
 * @Filename：TemplatePreviewDetail
 */
@Data
public class TemplatePreviewDetail {
    @Schema(title = "模板模型")
    private Model template;
    @Schema(title = "模板Yaml")
    private String templateYaml;
    @Schema(title = "是否有操作权限", required = false)
    private boolean hasPermission;
    @Schema(title = "预览流水线设置")
    private PipelineSetting setting;
    @Schema(title = "高亮位置，可能多个")
    private List<TransferMark> highlightMarkList;
    @Schema(title = "是否支持YAML解析", required = true)
    private boolean yamlSupported = true;
    @Schema(title = "YAML解析异常信息")
    private String yamlInvalidMsg;
}
