package cd.casic.ci.process.process.dataObject.target;

import cd.casic.ci.process.process.dataObject.base.PipBaseElement;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author HopeLi
 * @version v1.0
 * @ClassName TargetVersion
 * @Date: 2025/5/17 10:23
 * @Description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("target_version")
public class TargetVersion extends PipBaseElement {

    /**
     * 目标id
     */
    @TableField("target_id")
    private String targetId;

    /**
     * 目标类型
     */
    @TableField("target_type")
    private String targetType;

    /**
     * 版本
     */
    private String version;

    /**
     * 描述
     */
    @TableField("target_desc")
    private String targetDesc;

    /**
     * 文件唯一标识
     */
    private String identifier;

    /**
     * 文件大小（byte）
     */
    @TableField("file_size")
    private Double fileSize;

    /**
     * 文件名字
     */
    @TableField("file_name")
    private String fileName;

    /**
     * 文件类型
     */
    @TableField("file_type")
    private String fileType;

    /**
     * 密级
     * 人员：1一般，2重要，3核心
     * 文件/功能：1公开 2内部 3秘密 4机密
     */
    private String secretId;

    /**
     * 文件地址路径
     */
    @TableField("file_path")
    private String filePath;
}
