package cd.casic.ci.log.scm.api;


import cd.casic.ci.log.scm.dal.pojo.Repository;
import cd.casic.ci.log.scm.enums.RepositoryType;
import cd.casic.ci.log.scm.service.impl.RepositoryServiceImpl;
import cd.casic.framework.commons.exception.ServiceException;
import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.ci.log.scm.utils.RepositoryConfigUtils;
import jakarta.annotation.Resource;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.bind.annotation.RestController;

import java.io.UnsupportedEncodingException;
import java.net.URLDecoder;


@RestController
public class ServiceRepositoryResourceImpl implements ServiceRepositoryResource {

    @Resource
    private RepositoryServiceImpl repositoryService;

    @Override
    public CommonResult<Repository> get(String projectId, String repositoryId, RepositoryType repositoryType) {
        if (StringUtils.isBlank(projectId)) {
            throw new ServiceException(-1000, "Invalid projectId");
        }
        if (StringUtils.isBlank(repositoryId)) {
            throw new ServiceException(-1000, "Invalid repositoryHashId");
        }
        try {
            return CommonResult.success(repositoryService.serviceGet(projectId, RepositoryConfigUtils.buildConfig(URLDecoder.decode(repositoryId, "UTF-8"), repositoryType)));
        } catch (UnsupportedEncodingException e) {
            e.printStackTrace();
        }
        return CommonResult.error(-1000, "not found");
    }

}
