package cd.casic.pipeline.store.api.atom;

import cd.casic.framework.commons.pojo.CommonResult;
import cd.casic.pipeline.store.pojo.atom.AtomDevLanguageEnvVar;
import cd.casic.pipeline.store.pojo.common.enums.BuildHostOsEnum;
import cd.casic.pipeline.store.pojo.common.enums.BuildHostTypeEnum;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.Parameter;
import io.swagger.v3.oas.annotations.tags.Tag;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@Tag(name = "BUILD_ATOM_DEV_LANGUAGE_ENV_VAR", description = "插件-开发语言环境变量")
@RestController
@RequestMapping("/build/market/atom/dev/language/env/var")
public interface BuildAtomDevLanguageEnvVarResource {

    @Operation(summary = "获取插件开发语言相关的环境变量")
    @GetMapping("/languages/{language}/types/{buildHostType}/oss/{buildHostOs}")
    CommonResult<List<AtomDevLanguageEnvVar>> getAtomDevLanguageEnvVars(
            @Parameter(description = "开发语言", required = true)
            @PathVariable("language")
            String language,
            @Parameter(description = "适用构建机类型", required = true)
            @PathVariable("buildHostType")
            BuildHostTypeEnum buildHostType,
            @Parameter(description = "适用构建机操作系统", required = true)
            @PathVariable("buildHostOs")
            BuildHostOsEnum buildHostOs
    );
}