package cd.casic.pipeline.store.pojo.atom;

import cd.casic.ci.common.pipeline.enums.FrontendTypeEnum;
import cd.casic.ci.log.scm.dal.pojo.enums.VisibilityLevelEnum;
import cd.casic.pipeline.store.pojo.common.enums.PackageSourceTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "插件市场工作台-新增插件请求报文体")
public class MarketAtomCreateRequest {
    @Schema(title = "项目编码", required = true)
    private String projectCode;
    @Schema(title = "插件代码", required = true)
    private String atomCode;
    @Schema(title = "插件名称", required = true)
    private String name;
    @Schema(title = "开发语言", required = true)
    private String language;
    @Schema(title = "认证方式", required = false)
    private String authType;
    @Schema(title = "项目可视范围", required = false)
    private VisibilityLevelEnum visibilityLevel = VisibilityLevelEnum.LOGIN_PUBLIC;
    @Schema(title = "插件代码库不开源原因", required = false)
    private String privateReason;
    @Schema(title = "前端UI渲染方式", required = true)
    private FrontendTypeEnum frontendType = FrontendTypeEnum.NORMAL;
    @Schema(title = "插件包发布方式", required = false)
    private PackageSourceTypeEnum packageSourceType;
}