package cd.casic.ci.ticket.dal.pojo;

import cd.casic.ci.ticket.dal.enums.CredentialType;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Schema(description = "凭据-凭据内容")
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Credential {
    @Schema(description = "凭据ID", requiredMode = Schema.RequiredMode.REQUIRED)
    private String credentialId;
    @Schema(description = "凭据名称", requiredMode = Schema.RequiredMode.REQUIRED)
    private String credentialName;
    @Schema(description = "凭据类型", requiredMode = Schema.RequiredMode.REQUIRED)
    private CredentialType credentialType;
    @Schema(description = "凭据描述", requiredMode = Schema.RequiredMode.NOT_REQUIRED)
    private String credentialRemark;
    @Schema(description = "最后更新时间", requiredMode = Schema.RequiredMode.REQUIRED)
    private Long updateTime;
    @Schema(description = "凭据内容", requiredMode = Schema.RequiredMode.REQUIRED)
    private String v1;
    @Schema(description = "凭据内容", requiredMode = Schema.RequiredMode.REQUIRED)
    private String v2;
    @Schema(description = "凭据内容", requiredMode = Schema.RequiredMode.REQUIRED)
    private String v3;
    @Schema(description = "凭据内容", requiredMode = Schema.RequiredMode.REQUIRED)
    private String v4;
    @Schema(description = "最后更新者", requiredMode = Schema.RequiredMode.REQUIRED)
    private String updateUser;
    @Schema(description = "创建者", requiredMode = Schema.RequiredMode.REQUIRED)
    private String createUser;
}
